portal = context.getPortalObject()
person = portal.portal_membership.getAuthenticatedMember().getUserValue()

request = context.REQUEST

request_kw = {
  "event_title" : "Close: %s" % context.getTitle(),
  "event_content": text_content,
  "event_source": person.getRelativeUrl()
}
context.requestEvent(**request_kw)

if context.getPortalType() == "Support Request" and \
    context.getSimulationState() != "invalidated":
  context.invalidate()

event_relative_url = request.get('event_relative_url')
return portal.restrictedTraverse(event_relative_url).Base_redirect()
